﻿@model Tuple<List<QuickOrderView>, List<WarehouseView>>
@{
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    decimal mTotal = 0;
}

<div class="panel panel-default">
    <div class="panel-body">
        <div class="row cart_bloke">
            <div class="col-sm-3 col-xs-3 col-lg-2">
                <span class="cart_number">@Model.Item1.Count</span> <span class="cart_items">@QuickOrder.ISC</span>
            </div>
            <div class="col-sm-5 col-xs-6">
                <a href="#" class="btn btn-default btn-lg margin-left" data-toggle="modal" data-target=".bs-example-modal-sm">
                    <span class="glyphicon glyphicon-eye-open"></span> @QuickOrder.VI
                </a>
                <a href="@Url.Action("Index", "SalesDraft")" class="btn btn-default btn-lg"><span class="glyphicon glyphicon-file"></span> @QuickOrder.YO</a>
            </div>
            <div class="col-sm-2 col-xs-12 info_carrito_precio">
                @foreach (QuickOrderView mQuickOrderAux in Model.Item1)
                {
                    mTotal += (mQuickOrderAux.Quantity * (mQuickOrderAux.ItemPrices != null && mQuickOrderAux.ItemPrices.Price != null ? mQuickOrderAux.ItemPrices.Price : 0)).Value;
                }
                <span class="cart_total_number">
            <strong>@QuickOrder.CT :</strong> @Math.Round(mTotal, 2)</span>
            </div>
            <div class="col-sm-2 col-xs-12 pull-right-lg">
                <a @(Model.Item1.Count == 0 ?  "disabled" : "") href="#" onclick="PlaceOrder()" class="btn btn-success btn-lg pull-right "><span class="fa fa-check-circle"></span>  @QuickOrder.CO</a>
            </div>
        </div>
    </div>
</div>

<div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title" id="myLargeModalLabel">@QuickOrder.IIC</h4>
            </div>
            <div class="modal-body">
                <table id="carrito" class="table table-striped table-hover ">
                    <thead>
                        <tr>
                            <th class="text-center"><a>@QuickOrder.IC </a></th>
                            <th class="text-center"><a>@QuickOrder.TID </a></th>
                            <th class="text-center" title="non-sortable">@QuickOrder.IPR</th>
                            <th class="text-center"><a>ATP </a></th>
                            <th class="text-center"><a>@QuickOrder.IS </a></th>
                            <th class="text-center"><a>@QuickOrder.Warehouse </a></th>
                            <th class="text-center"><a>@QuickOrder.QTY </a></th>
                            <th class="text-center">@QuickOrder.DL </th>
                            <th class="text-center">@QuickOrder.IM </th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach (QuickOrderView item in Model.Item1)
                        {
                        <tr>
                            <td class="text-center">
                                @item.ItemCode
                            </td>
                            <td class="text-center"> @item.ItemName</td>
                            <td class="text-center">@(item.ItemPrices != null && item.ItemPrices.Price != null ? item.ItemPrices.Currency + " " + @Math.Round((Double)item.ItemPrices.Price, 2) : "")</td>
                            <td class="text-center"><a onclick="GetStock('@item.ItemCode')" class="btn btn-default btn-lg">ATP</a></td>
                            <td class="text-center">@(item.Stock != null ? @Math.Round((Double)item.Stock.Available, 0).ToString() : "")</td>
                            <td class="text-center">@Html.DropDownList("Warehouse_" + item.ItemCode, new SelectList(Model.Item2, "WhsCode", "WhsName", item.WarehouseCode), new { @Id = "Warehouse_" + item.ItemCode, @class = "form-control" })</td>
                            <td class="text-center">
                                <input id="qtyc_@item.ItemCode" type="number" min="1" class="form-control" value="@item.Quantity" aria-invalid="false" style="width:60px; float:left;">
                                <button onclick="updateCart('@item.ItemCode')" class="btn btn-success btn-sm">
                                    <span class="fa fa-refresh"></span>
                                </button>
                            </td>
                            <td class="text-center"><a onclick="deleteLineFromCart('@item.ItemCode')" class="btn btn-danger btn-sm  "><span class="fa fa-plus-circle"></span> @QuickOrder.D</a></td>

                            <td class="text-center">
                                <a target="_blank" href="../MasterData/MasterData/ActionItemMaster?pActionItemMaster=View&pItemCode=@item.ItemCode"
                                   class="btn btn-default btn-lg">
                                    <span class="glyphicon glyphicon-eye-open"></span>
                                </a>
                            </td>
                        </tr>
                        }
                    </tbody>
                </table>
            </div>
            <div class="col-sm-3 pull-right">
                <a @(Model.Item1.Count == 0 ? "disabled" : "") href="#" onclick="PlaceOrder()" class="btn btn-success btn-lg pull-right "><span class="fa fa-check-circle"></span> @QuickOrder.CO</a>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function () {
        $('#carrito').DataTable({
            responsive: true,
            colReorder: true,
            "pagingType": "full_numbers",
            "lengthMenu": [[10, 25, 50, -1], ["@Shared.S10PP", "@Shared.S20PP", "@Shared.S50PP", "@Shared.All"]],
            "oLanguage":
            {
                "sSearch": "",
                "sLengthMenu": "\_MENU_"
            },
            dom: 'Blfrtip',
            buttons: [
                'excel', 'pdf', 'print'
            ]
        });
        $('div.dataTables_filter input').addClass('form-control search-query input-sm');
        $('div.dataTables_filter input').attr('placeholder', '@SaleOrders.Search');
        $('div.dataTables_filter').attr('style', 'float:left !important');
        $('div.dataTables_length select').addClass('form-control input-sm pull-right');
        $('div.dataTables_length').attr('style', 'float:right !important');
    });
</script>









